#include <iostream>

using namespace std;

int main()
{
    int k=0;
    int N[]={0,1,1,2,2,1,2,2,3,3};
    long long v;
    cin>>v;
    while(v)
    {
        k+=N[v%10];
        v/=10;
    }
    cout<<k;
    return 0;
}